Page MenuHomePhabricator

Search magnifying glass not RTL on RTL languages on mobile web
Closed, ResolvedPublic1 Story Points

Description

The search magnifying glass isn't RTL on RTL languages on the mobile web. The circle X text clear button within the search modal therefore clashes with it, not looking as nice compared to LTR language search.

ar.m.wikipedia.org:

en.m.wikipedia.org

The expected behavior is to have the magnifying glass RTL and, in the modal, not have it clash with the circle X text clear button.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 30 2016, 4:55 AM
dr0ptp4kt triaged this task as High priority.Aug 1 2016, 5:07 PM
dr0ptp4kt set the point value for this task to 1.
dr0ptp4kt moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.

Change 302955 had a related patch set uploaded (by Bmansurov):
Correctly flip the search input box background on RTL wikis

https://gerrit.wikimedia.org/r/302955

Change 302955 merged by jenkins-bot:
Correctly flip the search input box background on RTL wikis

https://gerrit.wikimedia.org/r/302955

bmansurov removed bmansurov as the assignee of this task.Aug 4 2016, 6:46 PM
bmansurov added a subscriber: bmansurov.

To test please visit https://en.m.wikipedia.beta.wmflabs.org/wiki/Lang?uselang=he and look at the search box (and click on the search box and type something).

dr0ptp4kt closed this task as Resolved.Aug 6 2016, 11:53 AM
dr0ptp4kt claimed this task.

Signing off.

Note that in UC Browser (non-compressed) the icon hasn't moved, but it's likely at some point in the future we'll want to do a full sweep of UC Browser anyway to handle it's differing treatment.

Additionally, in UC Mini as we know, search generally isn't working.